# require_relative "test_helper"
# $:.unshift File.expand_path('../../test', __FILE__)
require 'test_helper'

class ZucpTest < Minitest::Test

  describe 'Sms::Zucp test' do

    before do
      @options = {source: "zucp", phone: "13262902619", content: Time.now.to_i.to_s, sn: "SDK-WSS-010-05925x", pwd: "123456x", suffix: '[test]'}
    end

    it 'SmsSender singleSend' do
      obj = SmsSender.new(@options)
      assert_instance_of Sms::Zucp, obj.source

      result = obj.singleSend(@options[:phone], @options[:content])
      assert result.to_i > 0
    end

    it 'SmsSender batchSend' do
      obj = SmsSender.new(@options)
      assert_instance_of Sms::Zucp, obj.source

      result = obj.batchSend(@options[:phone], @options[:content])
      assert result.to_i > 0
    end

    it 'Sms::Zucp singleSend' do
      obj = Sms::Zucp.new(@options)
      assert obj.sn.present?
      assert obj.pwd.present?

      result = obj.singleSend(@options[:phone], @options[:content])
      assert result.to_i > 0
    end

    it 'Sms::Zucp batchSend' do
      obj = Sms::Zucp.new(@options)
      assert obj.sn.present?
      assert obj.pwd.present?

      result = obj.batchSend(@options[:phone].split, @options[:content])
      assert result.to_i > 0
    end

  end

end